commit:     f14fb4f79d254a32b828fdcb8ae327e762b6d184
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  7 02:08:20 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul  7 03:15:04 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f14fb4f7

dev-python/trove-classifiers: Bump to 2023.7.6

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/trove-classifiers/Manifest              |  1 +
 .../trove-classifiers-2023.7.6.ebuild              | 31 ++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-python/trove-classifiers/Manifest 
b/dev-python/trove-classifiers/Manifest
index 45705d7d16a0..a00e45218b09 100644
--- a/dev-python/trove-classifiers/Manifest
+++ b/dev-python/trove-classifiers/Manifest
@@ -1 +1,2 @@
 DIST trove-classifiers-2023.5.24.tar.gz 15856 BLAKE2B 
37184092e2ec7c068a73d47f0708124b92d54abd4015da5ccbe2b914699f7f93ffaaf1422b84745c0c76aa377adab9c4759348789c55300772c80892afc5c6da
 SHA512 
6017d32ffb63f8ac85d616c55a9317aa8f3cecbddcdfaabffbd6ba98a60f964ceeb28424881f2cebdf891aad2b6d7d1ade78202ca6e9bec697ce446647d09897
+DIST trove-classifiers-2023.7.6.tar.gz 15844 BLAKE2B 
40c6c1c16dbd50d098584ef22e5a687009317642f45bae0de03ebacb3331a9ed94ed63480ccee187565c41e3037911db56cbcfe3f150cf4663161b687e4d275f
 SHA512 
612251e76ce5143e77c349fdc4948eff335f862db4d9138c66f8ca935c2a95c9970377d6a7df382d689728517e89868a9e59bd42d450346499d5c385ebf62841

diff --git a/dev-python/trove-classifiers/trove-classifiers-2023.7.6.ebuild 
b/dev-python/trove-classifiers/trove-classifiers-2023.7.6.ebuild
new file mode 100644
index 000000000000..3c130311d42a
--- /dev/null
+++ b/dev-python/trove-classifiers/trove-classifiers-2023.7.6.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Canonical source for classifiers on PyPI (pypi.org)"
+HOMEPAGE="
+       https://github.com/pypa/trove-classifiers/
+       https://pypi.org/project/trove-classifiers/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos 
~x64-macos ~x64-solaris"
+
+BDEPEND="
+       dev-python/calver[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       epytest
+       "${EPYTHON}" -m tests.lib || die
+}

Reply via email to